org.apache.html.dom

## Class HTMLInputElementImpl

- java.lang.Object
- - org.apache.xerces.dom.NodeImpl
  - - org.apache.xerces.dom.ChildNode
    - - org.apache.xerces.dom.ParentNode
      - - org.apache.xerces.dom.ElementImpl
        - - org.apache.html.dom.HTMLElementImpl
          - - org.apache.html.dom.HTMLInputElementImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, HTMLFormControl, org.w3c.dom.Element, org.w3c.dom.ElementTraversal, org.w3c.dom.events.EventTarget, org.w3c.dom.html.HTMLElement, org.w3c.dom.html.HTMLInputElement, org.w3c.dom.Node, org.w3c.dom.NodeList, org.w3c.dom.TypeInfo

    public class HTMLInputElementImpl
    extends HTMLElementImpl
    implements org.w3c.dom.html.HTMLInputElement, HTMLFormControl

Version:
  $Revision: 1029415 $ $Date: 2010-10-31 13:02:22 -0400 (Sun, 31 Oct 2010) $
Author:
  Assaf Arkin
See Also:
  `HTMLInputElement`, `ElementImpl`, Serialized Form

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Field Summary

### Fields inherited from class org.apache.xerces.dom.ElementImpl

`attributes, name`

### Fields inherited from class org.apache.xerces.dom.ParentNode

`firstChild, fNodeListCache, ownerDocument`

### Fields inherited from class org.apache.xerces.dom.ChildNode

`nextSibling, previousSibling`

### Fields inherited from class org.apache.xerces.dom.NodeImpl

`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Fields inherited from interface org.w3c.dom.TypeInfo

`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

### Constructor Summary

Constructors
Constructor and Description
`HTMLInputElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `blur()` Removes keyboard focus from this element.
`void` `click()` Simulate a mouse-click.
`void` `focus()` Gives keyboard focus to this element.
`java.lang.String` `getAccept()` A comma-separated list of content types that a server processing thisform will handle correctly.
`java.lang.String` `getAccessKey()` A single character access key to give access to the form control.
`java.lang.String` `getAlign()` Aligns this object (vertically or horizontally) with respect to its surrounding text.
`java.lang.String` `getAlt()` Alternate text for user agents not rendering the normal contentof this element.
`boolean` `getChecked()` Describes whether a radio or check box is checked, when`type` has the value "Radio" or "Checkbox".
`boolean` `getDefaultChecked()` When `type` has the value "Radio" or "Checkbox", stores the initial value of the `checked` attribute.
`java.lang.String` `getDefaultValue()` Stores the initial control value (i.e., the initial value of `value`).
`boolean` `getDisabled()` The control is unavailable in this context.
`int` `getMaxLength()` Maximum number of characters for text fields, when `type`has the value "Text" or "Password".
`java.lang.String` `getName()` Form control or object name when submitted with a form.
`boolean` `getReadOnly()` NON-DOM: Returns true if this node is read-only.
`java.lang.String` `getSize()` Size information.
`java.lang.String` `getSrc()` When the `type` attribute has the value "Image", thisattribute specifies the location of the image to be used to decoratethe graphical submit button.
`int` `getTabIndex()` Index that represents the element's position in the tabbing order.
`java.lang.String` `getType()` The type of control created.
`java.lang.String` `getUseMap()` Use client-side image map.
`java.lang.String` `getValue()` The current form control value.
`void` `select()` Select the contents of the text area.
`void` `setAccept(java.lang.String accept)`
`void` `setAccessKey(java.lang.String accessKey)`
`void` `setAlign(java.lang.String align)`
`void` `setAlt(java.lang.String alt)`
`void` `setChecked(boolean checked)`
`void` `setDefaultChecked(boolean defaultChecked)`
`void` `setDefaultValue(java.lang.String defaultValue)`
`void` `setDisabled(boolean disabled)`
`void` `setMaxLength(int maxLength)`
`void` `setName(java.lang.String name)`
`void` `setReadOnly(boolean readOnly)`
`void` `setSize(java.lang.String size)`
`void` `setSrc(java.lang.String src)`
`void` `setTabIndex(int tabIndex)`
`void` `setUseMap(java.lang.String useMap)`
`void` `setValue(java.lang.String value)`

### Methods inherited from class org.apache.html.dom.HTMLElementImpl

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getContentDocument, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

### Methods inherited from class org.apache.xerces.dom.ElementImpl

`cloneNode, getAttributes, getBaseURI, getChildElementCount, getDefaultAttributes, getFirstElementChild, getLastElementChild, getNextElementSibling, getNodeName, getNodeType, getPreviousElementSibling, getSchemaTypeInfo, getTagName, getTypeName, getTypeNamespace, getXercesAttribute, getXMLBaseAttribute, hasAttribute, hasAttributeNS, hasAttributes, isDerivedFrom, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

### Methods inherited from class org.apache.xerces.dom.ParentNode

`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

### Methods inherited from class org.apache.xerces.dom.ChildNode

`getNextSibling, getParentNode, getPreviousSibling`

### Methods inherited from class org.apache.xerces.dom.NodeImpl

`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getLocalName, getNamespaceURI, getNodeNumber, getNodeValue, getPrefix, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.w3c.dom.html.HTMLInputElement

`getForm`

### Methods inherited from interface org.w3c.dom.html.HTMLElement

`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

### Methods inherited from interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Constructor Detail

#### HTMLInputElementImpl

    public HTMLInputElementImpl(HTMLDocumentImpl owner,
                                java.lang.String name)

Constructor requires owner document.

Parameters:
  `owner` - The owner HTML document

### Method Detail

#### getDefaultValue

    public java.lang.String getDefaultValue()

Description copied from interface: `org.w3c.dom.html.HTMLInputElement`
Stores the initial control value (i.e., the initial value of `value`).

Specified by:
  `getDefaultValue` in interface `org.w3c.dom.html.HTMLInputElement`

#### setDefaultValue

    public void setDefaultValue(java.lang.String defaultValue)

Specified by:
  `setDefaultValue` in interface `org.w3c.dom.html.HTMLInputElement`

#### getDefaultChecked

    public boolean getDefaultChecked()

Description copied from interface: `org.w3c.dom.html.HTMLInputElement`
When `type` has the value "Radio" or "Checkbox", stores the initial value of the `checked` attribute.

Specified by:
  `getDefaultChecked` in interface `org.w3c.dom.html.HTMLInputElement`

#### setDefaultChecked

    public void setDefaultChecked(boolean defaultChecked)

Specified by:
  `setDefaultChecked` in interface `org.w3c.dom.html.HTMLInputElement`

#### getAccept

    public java.lang.String getAccept()

Description copied from interface: `org.w3c.dom.html.HTMLInputElement`
A comma-separated list of content types that a server processing thisform will handle correctly. See the accept attribute definition in HTML 4.0.

Specified by:
  `getAccept` in interface `org.w3c.dom.html.HTMLInputElement`

#### setAccept

    public void setAccept(java.lang.String accept)

Specified by:
  `setAccept` in interface `org.w3c.dom.html.HTMLInputElement`

#### getAccessKey

    public java.lang.String getAccessKey()

Description copied from interface: `org.w3c.dom.html.HTMLInputElement`
A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0.

Specified by:
  `getAccessKey` in interface `org.w3c.dom.html.HTMLInputElement`

#### setAccessKey

    public void setAccessKey(java.lang.String accessKey)

Specified by:
  `setAccessKey` in interface `org.w3c.dom.html.HTMLInputElement`

#### getAlign

    public java.lang.String getAlign()

Description copied from interface: `org.w3c.dom.html.HTMLInputElement`
Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

Specified by:
  `getAlign` in interface `org.w3c.dom.html.HTMLInputElement`

#### setAlign

    public void setAlign(java.lang.String align)

Specified by:
  `setAlign` in interface `org.w3c.dom.html.HTMLInputElement`

#### getAlt

    public java.lang.String getAlt()

Description copied from interface: `org.w3c.dom.html.HTMLInputElement`
Alternate text for user agents not rendering the normal contentof this element. See the alt attribute definition in HTML 4.0.

Specified by:
  `getAlt` in interface `org.w3c.dom.html.HTMLInputElement`

#### setAlt

    public void setAlt(java.lang.String alt)

Specified by:
  `setAlt` in interface `org.w3c.dom.html.HTMLInputElement`

#### getChecked

    public boolean getChecked()

Description copied from interface: `org.w3c.dom.html.HTMLInputElement`
Describes whether a radio or check box is checked, when`type` has the value "Radio" or "Checkbox". The value isTRUE if explicitly set. Represents the current state of the checkboxor radio button. See the checked attribute definition in HTML 4.0.

Specified by:
  `getChecked` in interface `org.w3c.dom.html.HTMLInputElement`

#### setChecked

    public void setChecked(boolean checked)

Specified by:
  `setChecked` in interface `org.w3c.dom.html.HTMLInputElement`

#### getDisabled

    public boolean getDisabled()

Description copied from interface: `org.w3c.dom.html.HTMLInputElement`
The control is unavailable in this context. See the disabled attribute definition in HTML 4.0.

Specified by:
  `getDisabled` in interface `org.w3c.dom.html.HTMLInputElement`

#### setDisabled

    public void setDisabled(boolean disabled)

Specified by:
  `setDisabled` in interface `org.w3c.dom.html.HTMLInputElement`

#### getMaxLength

    public int getMaxLength()

Description copied from interface: `org.w3c.dom.html.HTMLInputElement`
Maximum number of characters for text fields, when `type`has the value "Text" or "Password". See the maxlength attribute definition in HTML 4.0.

Specified by:
  `getMaxLength` in interface `org.w3c.dom.html.HTMLInputElement`

#### setMaxLength

    public void setMaxLength(int maxLength)

Specified by:
  `setMaxLength` in interface `org.w3c.dom.html.HTMLInputElement`

#### getName

    public java.lang.String getName()

Description copied from interface: `org.w3c.dom.html.HTMLInputElement`
Form control or object name when submitted with a form. See the name attribute definition in HTML 4.0.

Specified by:
  `getName` in interface `org.w3c.dom.html.HTMLInputElement`

#### setName

    public void setName(java.lang.String name)

Specified by:
  `setName` in interface `org.w3c.dom.html.HTMLInputElement`

#### getReadOnly

    public boolean getReadOnly()

Description copied from class: `org.apache.xerces.dom.NodeImpl`
NON-DOM: Returns true if this node is read-only. This is a shallow check.

Specified by:
  `getReadOnly` in interface `org.w3c.dom.html.HTMLInputElement`
Overrides:
  `getReadOnly` in class `org.apache.xerces.dom.NodeImpl`

#### setReadOnly

    public void setReadOnly(boolean readOnly)

Specified by:
  `setReadOnly` in interface `org.w3c.dom.html.HTMLInputElement`

#### getSize

    public java.lang.String getSize()

Description copied from interface: `org.w3c.dom.html.HTMLInputElement`
Size information. The precise meaning is specific to each type offield. See the size attribute definition in HTML 4.0.

Specified by:
  `getSize` in interface `org.w3c.dom.html.HTMLInputElement`

#### setSize

    public void setSize(java.lang.String size)

Specified by:
  `setSize` in interface `org.w3c.dom.html.HTMLInputElement`

#### getSrc

    public java.lang.String getSrc()

Description copied from interface: `org.w3c.dom.html.HTMLInputElement`
When the `type` attribute has the value "Image", thisattribute specifies the location of the image to be used to decoratethe graphical submit button. See the src attribute definition in HTML 4.0.

Specified by:
  `getSrc` in interface `org.w3c.dom.html.HTMLInputElement`

#### setSrc

    public void setSrc(java.lang.String src)

Specified by:
  `setSrc` in interface `org.w3c.dom.html.HTMLInputElement`

#### getTabIndex

    public int getTabIndex()

Description copied from interface: `org.w3c.dom.html.HTMLInputElement`
Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0.

Specified by:
  `getTabIndex` in interface `org.w3c.dom.html.HTMLInputElement`

#### setTabIndex

    public void setTabIndex(int tabIndex)

Specified by:
  `setTabIndex` in interface `org.w3c.dom.html.HTMLInputElement`

#### getType

    public java.lang.String getType()

Description copied from interface: `org.w3c.dom.html.HTMLInputElement`
The type of control created. See the type attribute definition in HTML 4.0.

Specified by:
  `getType` in interface `org.w3c.dom.html.HTMLInputElement`

#### getUseMap

    public java.lang.String getUseMap()

Description copied from interface: `org.w3c.dom.html.HTMLInputElement`
Use client-side image map. See the usemap attribute definition in HTML 4.0.

Specified by:
  `getUseMap` in interface `org.w3c.dom.html.HTMLInputElement`

#### setUseMap

    public void setUseMap(java.lang.String useMap)

Specified by:
  `setUseMap` in interface `org.w3c.dom.html.HTMLInputElement`

#### getValue

    public java.lang.String getValue()

Description copied from interface: `org.w3c.dom.html.HTMLInputElement`
The current form control value. Used for radio buttons and check boxes. See the value attribute definition in HTML 4.0.

Specified by:
  `getValue` in interface `org.w3c.dom.html.HTMLInputElement`

#### setValue

    public void setValue(java.lang.String value)

Specified by:
  `setValue` in interface `org.w3c.dom.html.HTMLInputElement`

#### blur

    public void blur()

Description copied from interface: `org.w3c.dom.html.HTMLInputElement`
Removes keyboard focus from this element.

Specified by:
  `blur` in interface `org.w3c.dom.html.HTMLInputElement`

#### focus

    public void focus()

Description copied from interface: `org.w3c.dom.html.HTMLInputElement`
Gives keyboard focus to this element.

Specified by:
  `focus` in interface `org.w3c.dom.html.HTMLInputElement`

#### select

    public void select()

Description copied from interface: `org.w3c.dom.html.HTMLInputElement`
Select the contents of the text area. For `INPUT` elements whose `type` attribute has one of the following values: "Text", "File", or "Password".

Specified by:
  `select` in interface `org.w3c.dom.html.HTMLInputElement`

#### click

    public void click()

Description copied from interface: `org.w3c.dom.html.HTMLInputElement`
Simulate a mouse-click. For `INPUT` elements whose `type` attribute has one of the followingvalues: "Button", "Checkbox", "Radio", "Reset", or "Submit".

Specified by:
  `click` in interface `org.w3c.dom.html.HTMLInputElement`